import { system, Vector, world } from "../lib/Util";

world.beforeEvents.worldInitialize.subscribe(e => {
    e.blockComponentRegistry.registerCustomComponent('mship:light_block', {
        onTick: e => {
            if (e.block.typeId !== "mship:ilaw") return;
            let timer = e.block.getState("mship:timer");
            if (timer > 0) {
                timer -= 1;
                e.block.editState({ "mship:timer": timer });
            } else e.block.setType("minecraft:air");
        }
    });
});

export default {};