import { ItemStack, world, system } from "../lib/Util";

world.beforeEvents.itemUseOn.subscribe(e => {
    if (e.itemStack.typeId !== "mship:broken_ship_compass") return;
    if (e.block.hasTag("helm")) {
        world.getPropertyIds().some(a => {
            const data = world.getParsedProperty(a);
            if (!data) return;
            if (!e.block.v3().equal(data.location)) return;
            e.cancel = true;
            system.run(_ => {
                const item = new ItemStack("mship:ship_compass0");
                item.nameTag = `${data.name} Compass`.dark_purple();
                item.setDynamicProperty("mship:dataId", data.id);
                e.source.addItem(item);
                e.source.setItem(null);
            });
            e.source.sendMessage("Match");
            return true;
        });
    }
});

export default {};