import { OVERWORLD, system, world } from "../lib/Util";
import { mainMenu } from "../ui/main";
import { setupMenu } from "../ui/setup";

world.beforeEvents.worldInitialize.subscribe(e => {
    e.blockComponentRegistry.registerCustomComponent('mship:helm', {
        beforeOnPlayerPlace: e => {
            system.run(_ => setupMenu(e.player, e.block));
        },
        onPlayerInteract: e => {
            system.run(_ => mainMenu(e.player, e.block));
        }
    });
});

export default {};