
export default function (typeId) {
    let id = typeId.replace(/minecraft:/g, "");
    let id2 = id.replace(/light_gray/g, "silver");
    if (id === "oak_planks") return { translate: `tile.planks.oak.name` };
    else if (id === "spruce_planks") return { translate: `tile.planks.spruce.name` };
    else if (id === "birch_planks") return { translate: `tile.planks.birch.name` };
    else if (id === "jungle_planks") return { translate: `tile.planks.jungle.name` };
    else if (id === "acacia_planks") return { translate: `tile.planks.acacia.name` };
    else if (id === "dark_oak_planks") return { translate: `tile.planks.big_oak.name` };
    else if (id === "light_blue_wool") return { translate: `tile.wool.lightBlue.name` };
    else if (id2.includes("wool")) return { translate: `tile.wool.${id2.replace(/_wool/g, "")}.name` };
    else if (id === "stone") return { translate: `tile.stone.stone.name` };
    else if (["granite", "diorite", "andesite"].includes(id)) return { translate: `tile.stone.${id}.name` };
    else if (id === "stone_bricks") return { translate: `tile.stonebrick.default.name` };
    else if (id === "mossy_stone_bricks") return { translate: `tile.stonebrick.mossy.name` };
    else if (id === "cracked_stone_bricks") return { translate: `tile.stonebrick.cracked.name` };
    else if (id === "chiseled_stone_bricks") return { translate: `tile.stonebrick.chiseled.name` };
    else if (id === "polished_granite") return { translate: `tile.stone.graniteSmooth.name` };
    else if (id === "polished_diorite") return { translate: `tile.stone.dioriteSmooth.name` };
    else if (id === "polished_andesite") return { translate: `tile.stone.andesiteSmooth.name` };
    else if (id2.includes("_stained_glass_pane")) return { translate: `tile.stained_glass_pane.${id2.replace(/_stained_glass_pane/g, "")}.name` };
    else if (id2.includes("stained_glass")) return { translate: `tile.stained_glass.${id2.replace(/_stained_glass/g, "")}.name` };
    else if (id === "oak_slab") return { translate: `tile.wooden_slab.oak.name` };
    else if (id === "spruce_slab") return { translate: `tile.wooden_slab.spruce.name` };
    else if (id === "birch_slab") return { translate: `tile.wooden_slab.birch.name` };
    else if (id === "jungle_slab") return { translate: `tile.wooden_slab.jungle.name` };
    else if (id === "acacia_slab") return { translate: `tile.wooden_slab.acacia.name` };
    else if (id === "dark_oak_slab") return { translate: `tile.wooden_slab.big_oak.name` };
    else if (id === "normal_stone_slab") return { translate: `tile.stone_slab.name` };
    else if (id === "cobblestone_slab") return { translate: `tile.stone_slab.cobble.name` };
    else if (id === "mossy_cobblestone_slab") return { translate: `tile.stone_slab2.mossy_cobblestone.name` };
    else if (id === "granite_slab") return { translate: `tile.stone_slab3.granite.name` };
    else if (id === "diorite_slab") return { translate: `tile.stone_slab3.diorite.name` };
    else if (id === "andesite_slab") return { translate: `tile.stone_slab3.andesite.name` };
    else if (id === "stone_brick_slab") return { translate: `tile.stone_slab.smoothStoneBrick.name` };
    else if (id === "mossy_stone_brick_slab") return { translate: `tile.stone_slab4.mossy_stone_brick.name` };
    else if (id === "smooth_stone_slab") return { translate: `tile.stone_slab.stone.name` };
    else if (id === "polished_granite_slab") return { translate: `tile.stone_slab3.granite.smooth.name` };
    else if (id === "polished_diorite_slab") return { translate: `tile.stone_slab3.diorite.smooth.name` };
    else if (id === "polished_andesite_slab") return { translate: `tile.stone_slab3.andesite.smooth.name` };
    else if (id === "light_blue_carpet") return { translate: `tile.carpet.lightBlue.name` };
    else if (id2.includes("carpet") && !id.includes("moss")) return { translate: `tile.carpet.${id2.replace(/_carpet/g, "")}.name` };
    else if (id === "oak_log") return { translate: `tile.log.oak.name` };
    else if (id === "spruce_log") return { translate: `tile.log.spruce.name` };
    else if (id === "birch_log") return { translate: `tile.log.birch.name` };
    else if (id === "jungle_log") return { translate: `tile.log.jungle.name` };
    else if (id === "acacia_log") return { translate: `tile.log.acacia.name` };
    else if (id === "dark_oak_log") return { translate: `tile.log.big_oak.name` };
    else if (id === "oak_wood") return { translate: `tile.wood.oak.name` };
    else if (id === "spruce_wood") return { translate: `tile.wood.spruce.name` };
    else if (id === "birch_wood") return { translate: `tile.wood.birch.name` };
    else if (id === "jungle_wood") return { translate: `tile.wood.jungle.name` };
    else if (id === "acacia_wood") return { translate: `tile.wood.acacia.name` };
    else if (id === "dark_oak_wood") return { translate: `tile.wood.dark_oak.name` };
    else if (id === "stripped_oak_wood") return { translate: `tile.wood.stripped.oak.name` };
    else if (id === "stripped_spruce_wood") return { translate: `tile.wood.stripped.spruce.name` };
    else if (id === "stripped_birch_wood") return { translate: `tile.wood.stripped.birch.name` };
    else if (id === "stripped_jungle_wood") return { translate: `tile.wood.stripped.jungle.name` };
    else if (id === "stripped_acacia_wood") return { translate: `tile.wood.stripped.acacia.name` };
    else if (id === "stripped_dark_oak_wood") return { translate: `tile.wood.stripped.dark_oak.name` };
    else if (id === "sea_lantern") return { translate: `tile.seaLantern.name` };
    else if (id === "undyed_shulker_box") return { translate: `tile.shulkerBox.name` };
    else if (id === "white_shulker_box") return { translate: `tile.shulkerBoxWhite.name` };
    else if (id === "light_gray_shulker_box") return { translate: `tile.shulkerBoxSilver.name` };
    else if (id === "gray_shulker_box") return { translate: `tile.shulkerBoxGray.name` };
    else if (id === "black_shulker_box") return { translate: `tile.shulkerBoxBlack.name` };
    else if (id === "brown_shulker_box") return { translate: `tile.shulkerBoxBrown.name` };
    else if (id === "red_shulker_box") return { translate: `tile.shulkerBoxRed.name` };
    else if (id === "orange_shulker_box") return { translate: `tile.shulkerBoxOrange.name` };
    else if (id === "yellow_shulker_box") return { translate: `tile.shulkerBoxYellow.name` };
    else if (id === "lime_shulker_box") return { translate: `tile.shulkerBoxLime.name` };
    else if (id === "green_shulker_box") return { translate: `tile.shulkerBoxGreen.name` };
    else if (id === "cyan_shulker_box") return { translate: `tile.shulkerBoxCyan.name` };
    else if (id === "light_blue_shulker_box") return { translate: `tile.shulkerBoxLightBlue.name` };
    else if (id === "blue_shulker_box") return { translate: `tile.shulkerBoxBlue.name` };
    else if (id === "purple_shulker_box") return { translate: `tile.shulkerBoxPurple.name` };
    else if (id === "magenta_shulker_box") return { translate: `tile.shulkerBoxMagenta.name` };
    else if (id === "pink_shulker_box") return { translate: `tile.shulkerBoxPink.name` };
    else if (id === "brewing_stand") return { translate: `item.brewing_stand.name` };
    else if (id.includes("_door")) return { translate: `item.${id}.name` };
    else if (id === "oak_fence") return { translate: `tile.fence.name` };
    else if (id === "spruce_fence") return { translate: `tile.spruceFence.name` };
    else if (id === "birch_fence") return { translate: `tile.birchFence.name` };
    else if (id === "jungle_fence") return { translate: `tile.jungleFence.name` };
    else if (id === "acacia_fence") return { translate: `tile.acaciaFence.name` };
    else if (id === "dark_oak_fence") return { translate: `tile.darkOakFence.name` };
    else if (id === "glass_pane") return { translate: `tile.glass_pane.name` };
    else if (id === "cobblestone_wall") return { translate: `tile.cobblestone_wall.normal.name` };
    else if (id === "mossy_cobblestone_wall") return { translate: `tile.cobblestone_wall.mossy.name` };
    else if (id.endsWith("_wall")) return { translate: `tile.cobblestone_wall.${id.split("_wall")[0]}.name` };
    else if (id.includes("light_blue_concrete")) return { translate: `tile.concrete.lightBlue.name` };
    else if (id.includes("_concrete")) return { translate: `tile.concrete.${id2.split("_concrete")[0]}.name` };
    /**/
    return { translate: `tile.${id}.name` };
}